# $Revision: 1.69 $, $Date: 2011/04/06 17:11:45 $
#
# TODO: register glade-2.0.dtd
#
# Conditional build:
%bcond_without	apidocs		# disable gtk-doc
#
Summary:	libglade library
Summary(es.UTF-8):	El libglade permite que usted cargue archivos del interfaz del glade
Summary(pl.UTF-8):	Biblioteka do ładowania definicji interfejsu generowanego programem glade
Summary(pt_BR.UTF-8):	Esta biblioteca permite carregar arquivos da interface glade
Name:		libglade2
Version:	2.6.4
Release:	6
Epoch:		1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://ftp.gnome.org/pub/GNOME/sources/libglade/2.6/libglade-%{version}.tar.bz2
# Source0-md5:	d1776b40f4e166b5e9c107f1c8fe4139
URL:		http://www.gnome.org/
BuildRequires:	atk-devel >= 1:1.18.0
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	bison
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 2:2.10.13
%{?with_apidocs:BuildRequires:	gtk-doc >= 1.8}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.29
BuildRequires:	pkgconfig
BuildRequires:	python >= 2.0
BuildRequires:	python-modules >= 2.0
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.197
Requires:	FHS >= 2.3-16
Requires:	atk >= 1:1.18.0
Requires:	python-modules >= 2.0
Obsoletes:	libglade2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows you to load user interfaces in your program, which
are stored externally. This allows alteration of the interface without
recompilation of the program. The interfaces can also be edited with
GLADE.

%description -l es.UTF-8
El libglade permite que usted cargue archivos del interfaz del glade
en tiempo de ejecución.

%description -l pl.UTF-8
Biblioteka libglade umożliwia dynamiczne ładowanie definicji
interfejsu użytkownika generowanego za pomocą programu glade. Taka
separacja definicji interfejsu umożliwia pracę nad nim bez
konieczności rekompilacji programu.

%description -l pt_BR.UTF-8
O libglade permite carregar, em tempo de execução, arquivos da
interface glade. Não é necessário ter o glade instalado, mas esta é a
melhor maneira de criar os arquivos de interface.

%package devel
Summary:	Header files and developer's documentation
Summary(es.UTF-8):	Archivos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl.UTF-8):	Pliki nagłówkowe i dokumentacja dla programisty
Summary(pt_BR.UTF-8):	Arquivos necessários para o desenvolvimento de aplicações com a interface glade
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	gtk+2-devel >= 2:2.10.13
Requires:	libxml2-devel >= 1:2.6.29
Obsoletes:	libglade2.0-devel

%description devel
Header files and developer's documentation for libglade.

%description devel -l es.UTF-8
Archivos de inclusión y bibliotecas necesarias para el desarrollo de
aplicaciones con glade.

%description devel -l pl.UTF-8
Pliki nagłówkowe i dokumentacja dla programisty libglade.

%description devel -l pt_BR.UTF-8
Arquivos de inclusão e bibliotecas para o desenvolvimento de
aplicações com a interface glade.

%package static
Summary:	Static libglade library
Summary(es.UTF-8):	Archivos estáticos necesarios para el desarrollo de aplicaciones con libglade
Summary(pl.UTF-8):	Biblioteka statyczna libglade
Summary(pt_BR.UTF-8):	Arquivos estáticos necessários para o desenvolvimento de aplicações com a interface glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static libglade library.

%description static -l es.UTF-8
Archivos estáticos necesarias para el desarrollo de aplicaciones con
glade.

%description static -l pl.UTF-8
Biblioteka statyczna libglade.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para o desenvolvimento de aplicações com a
interface glade.

%package apidocs
Summary:	libglade API documentation
Summary(pl.UTF-8):	Dokumentacja API libglade
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
libglade API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API libglade.

%prep
%setup -q -n libglade-%{version}

%build
%{?with_apidocs:%{__gtkdocize}}
%{__libtoolize}
%{__glib_gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--%{?with_apidocs:en}%{!?with_apidocs:dis}able-gtk-doc \
	--with-html-path=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/libglade/2.0

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	HTML_DIR=%{_gtkdocdir} \
	pkgconfigdir=%{_pkgconfigdir}

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README
%attr(755,root,root) %{_libdir}/libglade-2.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libglade-2.0.so.0
%{_libdir}/libglade
%dir %{_datadir}/xml/libglade
%{_datadir}/xml/libglade/*.dtd

%files devel
%defattr(644,root,root,755)
%doc ChangeLog
%attr(755,root,root) %{_bindir}/libglade-convert
%attr(755,root,root) %{_libdir}/libglade-2.0.so
%{_pkgconfigdir}/*
%{_includedir}/libglade-2.0

%files static
%defattr(644,root,root,755)
%{_libdir}/libglade-2.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libglade
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libglade2.spec,v $
Revision 1.69  2011/04/06 17:11:45  lisu
- drop libtool file
- rel 6

Revision 1.68  2011/04/06 06:50:47  wiget
- rel. 5

Revision 1.67  2010/11/18 10:40:08  hawk
- release 4

Revision 1.66  2010/02/26 22:19:06  hawk
- release 3

Revision 1.65  2010/01/30 16:53:16  sparky
- BR: gnome-common

Revision 1.64  2009/11/28 15:00:02  sparky
- BR: docbook-dtd412-xml, rpm-pythonprov

Revision 1.63  2009/06/17 14:34:47  hawk
- release 2

Revision 1.62  2009/03/17 19:51:38  megabajt
- updated to 2.6.4

Revision 1.61  2008/11/07 14:12:39  pluto
- release 2.

Revision 1.60  2008/08/18 11:36:09  patrys
- 2.6.3

Revision 1.59  2007-08-26 20:33:52  qboosh
- automake 1.9

Revision 1.58  2007/08/26 20:30:03  qboosh
- updated to 2.6.2
- more verbose files
- dropped one todo item (converting .glade files is development job)

Revision 1.57  2007/06/19 13:56:09  megabajt
- updated to 2.6.1

Revision 1.56  2007/04/28 08:47:23  megabajt
- added apidocs bcond and subpackage
- release 4

Revision 1.55  2007/02/13 06:46:51  glen
- tabs in preamble

Revision 1.54  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.53  2006/11/28 18:22:42  megabajt
- release 3 (rebuild with P: *.la)

Revision 1.52  2006/11/19 21:34:39  qboosh
- /usr/share/xml dir moved to FHS (2.3-16)
- release 2

Revision 1.51  2006/08/12 17:12:50  ankry
- formatting

Revision 1.50  2006/07/12 05:52:14  freetz
- 2.6.0, --as-needed support, updated deps

Revision 1.49  2006/07/09 15:00:56  pluto
- release 7 for kill libpng.la deps.

Revision 1.48  2006/06/07 14:38:03  freetz
- rel.6, bleedning edge deps, refresh gtk-doc.make

Revision 1.47  2006/03/19 21:31:33  freetz
- rel.5

Revision 1.46  2005/05/14 13:08:08  matkor
- TODO added.

Revision 1.45  2005/05/10 23:01:21  pluto
- release 4 for Th.

Revision 1.44  2005/04/12 21:59:46  qboosh
- /sbin/ldconfig deps for post* -p are autogenerated

Revision 1.43  2005/04/12 19:23:21  freetz
- reversed ldconfig changes

Revision 1.42  2005/04/12 10:06:47  paladine
- removed redundant BR: glib2-devel and bumped BRs

Revision 1.41  2005/04/10 16:49:48  freetz
- new style macros, rel.3

Revision 1.40  2005/03/28 03:12:05  qboosh
- requires atk 1.9.0 at runtime; release 2

Revision 1.39  2005/03/07 23:36:16  paladine
- merged from DEVEL

Revision 1.38  2005/02/11 22:36:32  paladine
- updated to 2.4.2, STBR

Revision 1.37.2.3  2005/02/13 17:12:42  aflinta
- added epoch to required atk version

Revision 1.37.2.2  2005/02/11 17:04:11  grzegol
- updated to 2.5.1

Revision 1.37.2.1  2005/02/06 20:39:23  grzegol
- updated to 2.5.0

Revision 1.37  2004/12/23 11:21:29  saq
- missing BR
- release 4

Revision 1.36  2004/12/23 11:09:56  havner
- rel 3, wrr

Revision 1.35  2004/12/23 09:28:11  havner
- rel 2 for python rebuild

Revision 1.34  2004/12/20 12:46:01  zbyniu
- BR: pkgconfig

Revision 1.33  2004/11/29 16:54:19  grzegol
- updated to 2.4.1

Revision 1.32  2004/10/27 09:12:47  qboosh
- use rpmbuild(macros) dep for _gtkdocdir, depend on stable glib2/gtk+2

Revision 1.31  2004/08/16 09:03:31  krzak
- rel 2 - rebuild with new XFree86

Revision 1.30  2004/05/17 21:16:30  freetz
- 2.4.0

Revision 1.29  2004/04/01 12:09:50  qboosh
- merged DEVEL (2.3.6 is in GNOME 2.6)

Revision 1.28  2003/11/25 23:43:55  krzak
- tooltip.patch (http://bugzilla.gnome.org/show_bug.cgi?id=101459)
- rel 6

Revision 1.27.2.4  2004/03/10 11:38:41  grzegol
- updated to 2.3.6
- added BR: atk-devel, python-modules and R: python-modules
- uncommented lt/gettext/al/ac/am regeneration
- strict internal deps

Revision 1.27.2.3  2004/01/14 09:54:26  wiget
- 2.3.2

Revision 1.27.2.2  2003/11/14 14:52:12  wiget
- 2.3.1

Revision 1.27.2.1  2003/11/14 09:55:37  wiget
- 2.3.0 snap 20031114

Revision 1.27  2003/07/11 06:17:16  wrobell
- think!

Revision 1.26  2003/07/10 17:46:07  krzak
- BR: xrender-devel

Revision 1.25  2003/06/26 13:45:43  qboosh
- release 5

Revision 1.24  2003/06/21 11:39:02  jareq
- fixed epoch:version issue

Revision 1.23  2003/06/13 18:32:50  mwinkler
- small url fix

Revision 1.22  2003/05/25 11:00:53  malekith
- massive attack, adding Source-md5

Revision 1.21  2003/05/25 05:49:50  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2003/02/21 17:30:07  qboosh
- added %%{_datadir}/xml dir to package - it's the only package that uses it
  (but shouldn't it be moved to some libxml?)

Revision 1.19  2002/12/04 19:13:10  aflinta
- moved from /usr/X11R6 to /usr, _gtkdocdir is now in rpm macros, release 4

Revision 1.18  2002/11/25 14:16:53  ankry
- massive attack: no need for 755 for *.la

Revision 1.17  2002/10/24 09:32:11  malekith
- release 3

Revision 1.16  2002/10/10 13:20:09  trojan
- fixed for properly documentation building
- added BR: gtk-doc >= 0.9-4
- fixed source URL
- fixed %%files

Revision 1.15  2002/10/09 13:14:37  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.14  2002/09/09 10:47:56  kura
- release 2

Revision 1.13  2002/08/30 19:45:55  kloczek
- added libglade2.0{,-devel} to Obsoletes for allow upgrade from MDK.

Revision 1.12  2002/08/29 22:21:45  aflinta
- updated to version 2.0.1

Revision 1.11  2002/07/02 12:44:36  ankry
- Requires gtk-doc-common for -devel subpackage
- release 2

Revision 1.10  2002/06/23 20:32:30  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.9  2002/06/10 12:09:13  wiget
- updated to 2.0.0
- fix gettextizing
- add %{_libdir}/libglade/2.0 to package
- gtk-doc in proper place
- new %%doc

Revision 1.8  2002/05/21 23:13:46  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.7  2002/05/12 13:36:16  kloczek
- updated to 1.99.12,
- removed outdated nogtkdoc patch.

Revision 1.6  2002/04/30 13:26:45  michuz
- typo

Revision 1.5  2002/04/30 13:24:55  michuz
- 1.9.11

Revision 1.4  2002/04/25 08:26:50  kloczek
- updated to 1.99.10.

Revision 1.3  2002/04/18 21:39:41  misiek
- disable gtk-doc (it's broken)

Revision 1.2  2002/04/12 20:36:44  marcus
- added --disable-gtk-doc to %%configure
- rel.2.

Revision 1.1  2002/03/11 11:25:20  misiek
- initial pld release
